| Home | Libraries | People | FAQ | More

##### posix::basic_descriptor::basic_descriptor (2 of 2 overloads)

Construct a `posix::basic_descriptor` on an existing native descriptor.

    basic_descriptor(
        boost::asio::io_service & io_service,
        const native_type & native_descriptor);

This constructor creates a descriptor object to hold an existing native descriptor.

###### Parameters

io_service

  The `io_service` object that the descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  A native descriptor.

###### Exceptions

boost::system::system_error

  Thrown on failure.